UtilizationModelPlanetLabInMemory (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim

## Class UtilizationModelPlanetLabInMemory

- java.lang.Object
- - org.cloudbus.cloudsim.UtilizationModelPlanetLabInMemory

- All Implemented Interfaces:
    UtilizationModel

      public class UtilizationModelPlanetLabInMemory
      extends Object
      implements UtilizationModel

  The Class UtilizationModelPlanetLab.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UtilizationModelPlanetLabInMemory(String inputPath, double schedulingInterval)` Instantiates a new utilization model PlanetLab.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getSchedulingInterval()` Gets the scheduling interval.
    `double` | `getUtilization(double time)` Returns utilization in percents according to the time.
    `void` | `setSchedulingInterval(double schedulingInterval)` Sets the scheduling interval.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UtilizationModelPlanetLabInMemory

          public UtilizationModelPlanetLabInMemory(String inputPath,
                                           double schedulingInterval)
                                            throws NumberFormatException,
                                                   IOException

      Instantiates a new utilization model PlanetLab.
      Parameters:
        `inputPath` - the input path
      Throws:
        `NumberFormatException` - the number format exception
        `IOException` - Signals that an I/O exception has occurred.

  - ### Method Detail

    - #### getUtilization

          public double getUtilization(double time)

      Description copied from interface: `UtilizationModel`
      Returns utilization in percents according to the time.
      Specified by:
        `getUtilization` in interface `UtilizationModel`
      Parameters:
        `time` - the time
      Returns:
        utilization percentage

    - #### setSchedulingInterval

          public void setSchedulingInterval(double schedulingInterval)

      Sets the scheduling interval.
      Parameters:
        `schedulingInterval` - the new scheduling interval

    - #### getSchedulingInterval

          public double getSchedulingInterval()

      Gets the scheduling interval.
      Returns:
        the scheduling interval

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.